#TestB3.py
""" Module that can be used to check out your implementation
of MakeSonnetList. It is shows how to sort a list of sonnet
objects two ways.
"""

from Sonnets import *

L = GetSonnets()
SonnetList = MakeSonnetList(L)

# Print an alphabetized list of all the first lines
print '\nAll the first lines...\n'
NewSonnetList = SortSonnetList(SonnetList,get_firstLine)
for S in NewSonnetList:
    print S.firstLine
    
# Print a ranked list of the ten sonnets that have the smallest
# word counts.
print '\nThe 10 smallest word counts...\n'
NewSonnetList = SortSonnetList(SonnetList,get_nWords)
for k in range(10):
    S = NewSonnetList[k]
    print '%10s  %3d' % (S.index,S.nWords)
    

    




