# TestE1.py
""" Module that can be used to check out the function SonnetDict.
"""

from Sonnets import *


# The 18th sonnet index and text...

i = 'XVIII.'
t = ([
'Shall I compare thee to a summer\'s day?',
'Thou art more lovely and more temperate:',
'Rough winds do shake the darling buds of May,',
'And summer\'s lease hath all too short a date:',
'Sometime too hot the eye of heaven shines,',
'And often is his gold complexion dimmed,',
'And every fair from fair sometime declines,',
'By chance, or nature\'s changing course untrimmed:',
'But thy eternal summer shall not fade,',
'Nor lose possession of that fair thou ow\'st,',
'Nor shall death brag thou wander\'st in his shade,',
'When in eternal lines to time thou grow\'st,',
'So long as men can breathe, or eyes can see,',
'So long lives this, and this gives life to thee.'])

# Create and display  sonnet object and the associated rhyming dictionary.
S = Sonnet(i,t)
printSonnet(S)
D = SonnetDict(S)
print '\nThe rhyming dictionary for this sonnet is: '
printRhymeDict(D)

